# HG changeset patch
# User stekloff@xxxxxxxxxxxxxxxxxxxxxxxxxx
# Node ID ee051233e94b68701490e1dde15f7851c535ef10
# Parent  32444375fd3da0ddaba3b321e352a33f79d912ea

This patch resizes the file system on the xm-test HVM disk.img to use
the entire space available. 

Signed-off-by: Daniel Stekloff <dsteklof@xxxxxxxxxx>

diff -r 32444375fd3d -r ee051233e94b tools/xm-test/ramdisk/bin/create_disk_image
--- a/tools/xm-test/ramdisk/bin/create_disk_image	Mon May  8 09:36:13 2006
+++ b/tools/xm-test/ramdisk/bin/create_disk_image	Tue May  9 15:55:45 2006
@@ -207,6 +207,13 @@
 	dd if="$ROOTFS" of="$LOOPP" > /dev/null 2>&1
 	if [ $? -ne 0 ]; then
 		die "Failed to dd $ROOTFS to $LOOPP."
+	fi
+
+	# Resize fs to use full partition
+	e2fsck -f $LOOPP 
+	resize2fs $LOOPP
+	if [ $? -ne 0 ]; then
+		die "Failed to resize rootfs on $LOOPP."
 	fi
 }